package myrobot.main;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.view.Window;
import android.widget.Button;

public class AcercaDeActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        /**
         * Mira si la pantalla s'ha de mostrar com Splash o com Crèdits
         */
        boolean splash = getIntent().getBooleanExtra("splash", true);
        if (splash) {
            // Si és SPLASH esborra el títol
            requestWindowFeature(Window.FEATURE_NO_TITLE);
            setContentView(R.layout.activity_acerca_de);
            // Oculta el botó
            Button btn = findViewById(R.id.button);
            btn.setVisibility(View.INVISIBLE);
            // Crea un temporitzador per tancar la pantalla automàticament
            new Handler().postDelayed(new Runnable(){
                @Override
                public void run() {
                    finish();
                }
            }, 3000);
        } else
            setContentView(R.layout.activity_acerca_de);
    }

    public void cerrar(View view) {
        finish();
    }

}
